org.apache.xalan.extensions

## Class ExtensionNamespaceContext

- java.lang.Object
- - org.apache.xalan.extensions.ExtensionNamespaceContext

- All Implemented Interfaces:
    javax.xml.namespace.NamespaceContext

      public class ExtensionNamespaceContext
      extends java.lang.Object
      implements javax.xml.namespace.NamespaceContext

  A sample implementation of NamespaceContext, with support for EXSLT extension functions and Java extension functions.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `EXSLT_DATETIME_PREFIX`
    `static java.lang.String` | `EXSLT_DATETIME_URI`
    `static java.lang.String` | `EXSLT_DYNAMIC_PREFIX`
    `static java.lang.String` | `EXSLT_DYNAMIC_URI`
    `static java.lang.String` | `EXSLT_MATH_PREFIX`
    `static java.lang.String` | `EXSLT_MATH_URI`
    `static java.lang.String` | `EXSLT_PREFIX`
    `static java.lang.String` | `EXSLT_SET_PREFIX`
    `static java.lang.String` | `EXSLT_SET_URI`
    `static java.lang.String` | `EXSLT_STRING_PREFIX`
    `static java.lang.String` | `EXSLT_STRING_URI`
    `static java.lang.String` | `EXSLT_URI`
    `static java.lang.String` | `JAVA_EXT_PREFIX`
    `static java.lang.String` | `JAVA_EXT_URI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtensionNamespaceContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNamespaceURI(java.lang.String prefix)` Return the namespace uri for a given prefix
    `java.lang.String` | `getPrefix(java.lang.String namespace)` Return the prefix for a given namespace uri.
    `java.util.Iterator` | `getPrefixes(java.lang.String namespace)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXSLT_PREFIX

          public static final java.lang.String EXSLT_PREFIX

      See Also:
        Constant Field Values

    - #### EXSLT_URI

          public static final java.lang.String EXSLT_URI

      See Also:
        Constant Field Values

    - #### EXSLT_MATH_PREFIX

          public static final java.lang.String EXSLT_MATH_PREFIX

      See Also:
        Constant Field Values

    - #### EXSLT_MATH_URI

          public static final java.lang.String EXSLT_MATH_URI

      See Also:
        Constant Field Values

    - #### EXSLT_SET_PREFIX

          public static final java.lang.String EXSLT_SET_PREFIX

      See Also:
        Constant Field Values

    - #### EXSLT_SET_URI

          public static final java.lang.String EXSLT_SET_URI

      See Also:
        Constant Field Values

    - #### EXSLT_STRING_PREFIX

          public static final java.lang.String EXSLT_STRING_PREFIX

      See Also:
        Constant Field Values

    - #### EXSLT_STRING_URI

          public static final java.lang.String EXSLT_STRING_URI

      See Also:
        Constant Field Values

    - #### EXSLT_DATETIME_PREFIX

          public static final java.lang.String EXSLT_DATETIME_PREFIX

      See Also:
        Constant Field Values

    - #### EXSLT_DATETIME_URI

          public static final java.lang.String EXSLT_DATETIME_URI

      See Also:
        Constant Field Values

    - #### EXSLT_DYNAMIC_PREFIX

          public static final java.lang.String EXSLT_DYNAMIC_PREFIX

      See Also:
        Constant Field Values

    - #### EXSLT_DYNAMIC_URI

          public static final java.lang.String EXSLT_DYNAMIC_URI

      See Also:
        Constant Field Values

    - #### JAVA_EXT_PREFIX

          public static final java.lang.String JAVA_EXT_PREFIX

      See Also:
        Constant Field Values

    - #### JAVA_EXT_URI

          public static final java.lang.String JAVA_EXT_URI

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExtensionNamespaceContext

          public ExtensionNamespaceContext()

  - ### Method Detail

    - #### getNamespaceURI

          public java.lang.String getNamespaceURI(java.lang.String prefix)

      Return the namespace uri for a given prefix
      Specified by:
        `getNamespaceURI` in interface `javax.xml.namespace.NamespaceContext`

    - #### getPrefix

          public java.lang.String getPrefix(java.lang.String namespace)

      Return the prefix for a given namespace uri.
      Specified by:
        `getPrefix` in interface `javax.xml.namespace.NamespaceContext`

    - #### getPrefixes

          public java.util.Iterator getPrefixes(java.lang.String namespace)

      Specified by:
        `getPrefixes` in interface `javax.xml.namespace.NamespaceContext`

Copyright © 2023 Apache XML Project. All Rights Reserved.